Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryHashDatabase..::.Open Method (String, SecondaryHashDatabaseConfig, Transaction)
SecondaryHashDatabase Class See Also Send Feedback

Instantiate a new SecondaryHashDatabase object, open the database represented by Filename and associate the database with the primary index.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public static SecondaryHashDatabase Open(
    	string Filename,
    	SecondaryHashDatabaseConfig cfg,
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Shared Function Open ( _
    	Filename As String, _
    	cfg As SecondaryHashDatabaseConfig, _
    	txn As Transaction _
    ) As SecondaryHashDatabase

Visual C++
    public:
    static SecondaryHashDatabase^ Open(
    	String^ Filename,
    	SecondaryHashDatabaseConfig^ cfg,
    	Transaction^ txn
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file used to back the database. In-memory databases never intended to be preserved on disk may be created by setting this parameter to null.

cfg
  Type: BerkeleyDB..::.SecondaryHashDatabaseConfig
  The database's configuration

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

A new, open database object

# Remarks

If Filename is null, the database is strictly temporary and cannot be opened by any other thread of control, thus the database can only be accessed by sharing the single database object that created it, in circumstances where doing so is safe.

If txn is null, but AutoCommit is set, the operation is implicitly transaction protected. Transactionally protected operations on a database object requires the object itself be transactionally protected during its open. The transaction must be committed before the object is closed.

# See Also

SecondaryHashDatabase Class
Open Overload
BerkeleyDB Namespace